SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   GNU GRUB Vendors:   GNU [multiple authors]
(Ubuntu Issues Fix) GNU GRUB Authentication Bug Lets Local Users Bypass Authentication and Gain Elevated Privileges
SecurityTracker Alert ID:  1034424
SecurityTracker URL:  http://securitytracker.com/id/1034424
CVE Reference:   CVE-2015-8370   (Links to External Site)
Date:  Dec 15 2015
Impact:   Root access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 1.98 - 2.02
Description:   A vulnerability was reported in GNU GRUB. A local user can obtain elevated privileges on the target system.

A local user can bypass authentication and gain full control of the target system.

The vulnerability resides in 'grub-core/lib/crypto.c' and 'grub-core/normal/auth.c'.

The original advisory is available at:

http://hmarco.org/bugs/CVE-2015-8370-Grub2-authentication-bypass.html

Hector Marco and Ismael Ripoll reported this vulnerability.

Impact:   A local user can obtain full control of the target system.
Solution:   Ubuntu has issued a fix.

The Ubuntu advisory is available at:

http://www.ubuntu.com/usn/usn-2836-1

Vendor URL:  www.ubuntu.com/usn/usn-2836-1 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Ubuntu)
Underlying OS Comments:  12.04 LTS, 14.04 LTS, 15.04, 15.10

Message History:   This archive entry is a follow-up to the message listed below.
Dec 15 2015 GNU GRUB Authentication Bug Lets Local Users Bypass Authentication and Gain Elevated Privileges



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC